Show / Hide Table of Contents

# Struct ContextMenu

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct ContextMenu

### Fields

| Improve this Doc View Source

#### ContextItemDisabledMask

##### Declaration

    public uint ContextItemDisabledMask

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ContextSubMenuMask

##### Declaration

    public uint ContextSubMenuMask

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ContextTitleString

##### Declaration

    public byte *ContextTitleString

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### CurrentEventId

##### Declaration

    public short CurrentEventId

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### CurrentEventIndex

##### Declaration

    public short CurrentEventIndex

##### Field Value

Type | Description
--- | ---
System.Int16 |

| Improve this Doc View Source

#### EventHandlerArray

##### Declaration

    public long *EventHandlerArray

##### Field Value

Type | Description
--- | ---
System.Int64* |

| Improve this Doc View Source

#### EventHandlerParamArray

##### Declaration

    public long *EventHandlerParamArray

##### Field Value

Type | Description
--- | ---
System.Int64* |

| Improve this Doc View Source

#### EventIdArray

##### Declaration

    public byte *EventIdArray

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### EventParams

##### Declaration

    public byte *EventParams

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### SelectedContextItemIndex

##### Declaration

    public byte SelectedContextItemIndex

##### Field Value

Type | Description
--- | ---
System.Byte |

### Properties

| Improve this Doc View Source

#### EventParamSpan

##### Declaration

    public readonly Span<AtkValue> EventParamSpan { get; }

##### Property Value

Type | Description
--- | ---
System.Span<AtkValue> |